API Reference
List themes
List available themes in the workspace.
GET
/
v1
/
themes
List themes
curl --request GET \
--url https://api.getsteerco.com/v1/themes \
--header 'Authorization: Bearer <token>' \
--header 'X-Workspace-Id: <x-workspace-id>'import requests
url = "https://api.getsteerco.com/v1/themes"
headers = {
"X-Workspace-Id": "<x-workspace-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Workspace-Id': '<x-workspace-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.getsteerco.com/v1/themes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"name": "<string>",
"layoutCount": 123,
"hasBackgroundImages": true
}
]Authorizations
API key (ak_ prefix). Generate one from your Steerco profile settings.
Headers
The workspace ID. Get available workspaces from GET /v1/workspaces.
⌘I
List themes

